﻿<%@ control language="vb" inherits="ActiveWebSoftwares.Modules.DealOn.DealOnItemAddEdit, App_Web_dealonitemaddedit.ascx.4117b03f" autoeventwireup="false" explicit="True" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>


<asp:panel id="pnlOptions" Runat="server" Visible="False">
	<P>
		<asp:LinkButton class="CommandButton" id="cmdUpdateOptions" Text="Update" CausesValidation="False"
			BorderStyle="none" runat="server"></asp:LinkButton>&nbsp;
		<asp:LinkButton id="cmdCancelOptions" Text="Cancel" CausesValidation="False" BorderStyle="none"
			runat="server" CssClass="CommandButton"></asp:LinkButton></P>
</asp:panel>
<asp:Label class="NormalBold" id="Message" runat="server"></asp:Label>
<asp:HyperLink class="NormalBold" ID="YourItemisListed"  Visible=false  resourcekey="YourItemisListed"  runat=server></asp:HyperLink>


<asp:panel id="pnlContent" Runat="server">
	<TABLE cellSpacing="0" class="Normal" cellPadding="0" width="100%" border="0">
		<TR>
			<TD class="NormalBold"> 
			    <dnn:label id="plLotNo" runat="server"  controlname="" />
			</TD>
			<TD>
				<asp:label id="lblItemID" runat="server" ></asp:label>
            </TD>
		</TR>
		<TR>
			<TD class="NormalBold"><dnn:label id="plTitle" runat="server"  controlname="ItemName"/>
			</TD>
			<TD>
				<asp:TextBox id="ItemName" runat="server" size="60"></asp:TextBox>&nbsp;
				<asp:RequiredFieldValidator id="Requiredfieldvalidator2" runat="server" ErrorMessage="'Title' must not be left blank."
					Font-Size="9pt" Font-Name="verdana" Display="dynamic" ControlToValidate="ItemName"></asp:RequiredFieldValidator></TD>
		</TR>
		<TR>
			<TD class="NormalBold"><dnn:label id="plDescription" runat="server"  controlname="ItemDescription"/></TD>
			<TD>
				<dnn:texteditor ControlID="ItemDescription" id="ItemDescription" runat="server" height="200" width="600" />
		</TR>
		<TR>
			<TD class="NormalBold" vAlign="top"><dnn:label id="plPictures" runat="server"  controlname="Image1"/></TD>
			<TD>
				<TABLE>
					<TR>
						<TD>
							<asp:Image id="Image1" runat="server" Visible="false"></asp:Image></TD>
						<TD>
							<asp:Image id="Image2" runat="server" Visible="false"></asp:Image></TD>
						<TD>
							<asp:Image id="Image3" runat="server" Visible="false"></asp:Image></TD>
						<TD>
							<asp:Image id="Image4" runat="server" Visible="false"></asp:Image></TD>
						<TD>
							<asp:Image id="Image5" runat="server" Visible="false"></asp:Image></TD>
					</TR>
				</TABLE>
				<INPUT id="File1" type="file" size="80" name="File1" runat="server"/><BR/>
				<INPUT id="File2" type="file" size="80" name="File2" runat="server"/><BR/>
				<INPUT id="File3" type="file" size="80" name="File3" runat="server"/><BR/>
				<INPUT id="File4" type="file" size="80" name="File4" runat="server"/><BR/>
				<INPUT id="File5" type="file" size="80" name="File5" runat="server"/><BR/>
			</TD>
		</TR>
		<TR>
			<TD class="NormalBold"><dnn:label id="plMinDealQty" runat="server"  controlname=""/>
			</TD>
			<TD>
				<asp:TextBox id="MinDealQty" Runat="server" Width="32px" text="1"></asp:TextBox>
				<asp:RangeValidator id="RangeValidator1" runat="server" ErrorMessage="Please enter a amount greater than 0"
					ControlToValidate="MinDealQty" MinimumValue="1" MaximumValue="9999" Type="Integer"></asp:RangeValidator></TD>
		</TR>
		<TR>
			<TD class="NormalBold"><dnn:label id="plMaxDealQty" runat="server"  controlname=""/>
			</TD>
			<TD>
				<asp:TextBox id="MaxDealQty" Runat="server" Width="58px" text="999"></asp:TextBox>
				<asp:RangeValidator id="RangeValidator2" runat="server" ErrorMessage="Please enter an amount greater than 0"
					ControlToValidate="MaxDealQty" MinimumValue="0" MaximumValue="999999" Type=Double ></asp:RangeValidator></TD>
		</TR>
		<asp:Panel id="pnlDuration" Visible="False" Runat="server">
			<TR>
				<TD class="NormalBold"><dnn:label id="plDuration" runat="server"  controlname=""/>
				</TD>
				<TD>
					<asp:DropDownList  id="Days" runat="server">
						<asp:ListItem Value="3"></asp:ListItem>
						<asp:ListItem Value="5"></asp:ListItem>
						<asp:ListItem Value="7" Selected="True"></asp:ListItem>
						<asp:ListItem Value="10"></asp:ListItem>
						<asp:ListItem Value="30"></asp:ListItem>
						<asp:ListItem Value="60"></asp:ListItem>
						<asp:ListItem Value="120"></asp:ListItem>
					</asp:DropDownList>
    			</TD>	
			</TR>
		</asp:Panel>
		<asp:Panel id="pnlStartEnd" Visible="False" Runat="server">
			<TR>
				<TD class="NormalBold"><dnn:label id="plStart" runat="server"  controlname=""/>
				</TD>
				<TD>
					<asp:label id="LblStart" runat="server"></asp:label></TD>
			</TR>
			<TR>
				<TD class="NormalBold"><dnn:label id="plEnd" runat="server"  controlname=""/>
				</TD>
				<TD>
    				<asp:TextBox id="ClosingDate"  Runat="server"></asp:TextBox>
					<asp:label id="lblEnd" runat="server" Visible=false  ></asp:label></TD>
			</TR>
		</asp:Panel>
		<TR>
			<TD class="NormalBold"><dnn:label id="plSRP" runat="server"  controlname=""/></TD>
			<TD>
				<asp:TextBox id="SRP" Runat="server" Width="59px" text="0"></asp:TextBox></TD>
		</TR>
		<TR>
			<TD class="NormalBold"><dnn:label id="plDealPrice" runat="server"  controlname=""/></TD>
			<TD>
				<asp:TextBox id="DealPrice" Runat="server" Width="62px" text="0"></asp:TextBox>
				<asp:CompareValidator id="CompareValidator2" runat="server" ErrorMessage="Deal Price must be less than SRP"
					ControlToValidate="DealPrice" Type="Currency" ControlToCompare="SRP" Operator="LessThanEqual"></asp:CompareValidator></TD>
		</TR>
	</TABLE>
	<BR/>
	<asp:linkbutton id="cmdUpdate" CssClass="CommandButton" runat="server" BorderStyle="None" resourcekey="cmdUpdate"></asp:linkbutton>
	<asp:linkbutton id="cmdCancel" CssClass="CommandButton" runat="server" CausesValidation="False"
		BorderStyle="None" resourcekey="cmdCancel"></asp:linkbutton>
	<asp:linkbutton id="cmdDelete" CssClass="CommandButton" runat="server" CausesValidation="False"
		BorderStyle="None" Visible="False" resourcekey="cmdDelete">Delete</asp:linkbutton></asp:panel>
